pg_dumpall(UNIX)

NAME
pg_dumpall - dumps out all Postgres databases into a script file

SYNOPSIS
pg_dumpall [pg_dump options]

DESCRIPTION
pg_dumpall is a utility for dumping out all Postgres databases into one file. It also dumps the pg_user table, which is global to all databases. pg_dumpall creates each dumped database before loading. pg_dumpall takes all pg_dump options, but -f and dbname should not be used.

EXAMPLES
To dump all databases (you can use pg_dump options):
	pg_dumpall -o >db.out
To reload into a fresh installation (you can use psql options):
	psql -e template1 <db.out

SEE ALSO
pg_dump(1)